grepc(1)

NOM
grepc – Recherche de déclarations, définitions et utilisations dans du code source

SYNOPSIS
grepc [option ...] pattern [file ...]

DESCRIPTION
grepc(1) recherche des déclarations, des définitions ou des utilisations de motif dans chaque fichier source.

motif est une expression rationnelle compatible avec Perl (PCRE). Il représente normalement un identifiant, et les limites de mot y sont implicitement ajoutées dans la plupart des cas.

Si aucun fichier n’est indiqué, le programme lit l’entrée standard. Sinon, il lit tous les fichiers indiqués et effectue une recherche dans tous les répertoires indiqués, de manière récursive et sans suivre les liens symboliques.

OPTIONS

-A n
    Afficher n lignes du contexte après une correspondance.

-B n
    Afficher n lignes du contexte avant une correspondance.

-C n
    Afficher n lignes de contexte entourant une correspondance.

-c  Ne pas afficher les correspondances, seulement leur nombre.

-h  Supprimer le préfixe des noms de fichier dans la sortie.

-i  Ignorer la casse dans le motif.

-l  Supprimer la sortie normale ; imprimer à la place le nom de chacun des fichiers d’entrée à partir desquels la sortie aurait normalement été affichée. Chaque fichier n’est affiché qu’une seule fois.

-m n
    Arrêter le programme après la découverte de n correspondances.

-n  Incorporer dans chaque ligne de sortie le numéro de ligne correspondant avant le fichier de l’entrée.

-t type
    Restreindre la recherche à un certain type de code. Cette option peut être indiquée plusieurs fois pour rechercher dans différents types de code. Les valeurs autorisées dépendent du pilote utilisé pour le langage. Consulter grepc_c(1), qui est le pilote par défaut.

AVERTISSEMENTS

  Plantages
Dans certains cas, les appels internes à pcre2grep(1) peuvent échouer en cas de consommation excessive de ressources. Pour résoudre ce problème, utilisez l’option -t pour restreindre le type de code pour la recherche.

  Fichiers adressables
Les fichiers indiqués sur la ligne de commande doivent être adressables et pouvoir être ouverts deux fois. Si vous devez lire un fichier non adressables, redirigez-le sur l’entrée standard.

EXEMPLES
    alx@devuan:/usr/lib/gcc$ grepc -n alignof .;
    ./x86_64-linux-gnu/15/include/stdalign.h:33:#define alignof _Alignof

VOIR AUSSI
grepc_c(1), pcre2grep(1), pcre2syntax(3), pcre2pattern(3)

TRADUCTION
La traduction française de cette page de manuel a été créée par Jean-Paul Guillonneau <guillonneau.jeanpaul@free.fr>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.